Itbl Mathematics
Utilities.

() More...

## Functions

Itbl | Lorene::operator+ (const Itbl &)
Itbl | Lorene::operator- (const Itbl &)
Itbl | Lorene::operator+ (const Itbl &, const Itbl &)
| Itbl + Itbl.
Itbl | Lorene::operator+ (const Itbl &, int)
| Itbl + int.
Itbl | Lorene::operator+ (int a, const Itbl &b)
| int + Itbl
Itbl | Lorene::operator- (const Itbl &, const Itbl &)
| Itbl - Itbl.
Itbl | Lorene::operator- (const Itbl &, int)
| Itbl - int.
Itbl | Lorene::operator- (int, const Itbl &)
| int - Itbl
Itbl | Lorene::operator* (const Itbl &, const Itbl &)
| Itbl * Itbl.
Itbl | Lorene::operator* (const Itbl &, int)
| Itbl * int.
Itbl | Lorene::operator* (int, const Itbl &)
| int * Itbl
Itbl | Lorene::abs (const Itbl &)
| Absolute value.
int | Lorene::max (const Itbl &)
| Maximum value of the `Itbl` elements.
int | Lorene::min (const Itbl &)
| Minimum value of the `Itbl` elements.
int | Lorene::norme (const Itbl &)
| Sum of the absolute values of all the `Itbl` elements.
double | Lorene::diffrel (const Itbl &a, const Itbl &b)
| Relative difference between two `Itbl` (norme version).
double | Lorene::diffrelmax (const Itbl &a, const Itbl &b)
| Relative difference between two `Itbl` (max version).

## Detailed Description

()

## Function Documentation

## abs()

Itbl Lorene::abs | ( | const Itbl & | ti | ) |

Absolute value.

Definition at line 79 of file itbl_math.C.

References abs(), Lorene::Itbl::dim, Lorene::Itbl::get_etat(), Lorene::Itbl::get_taille(), Lorene::Itbl::set_etat_qcq(), and Lorene::Itbl::t.

## diffrel()

double Lorene::diffrel | ( | const Itbl & | a,
|  | const Itbl & | b )

Relative difference between two `Itbl` (norme version).

Returns `norme`(a-b)/norme(b) unless `b=0` , in which case it returns `norme`(a-b) .

Definition at line 186 of file itbl_math.C.

References Lorene::Itbl::get_etat(), and norme().

## diffrelmax()

double Lorene::diffrelmax | ( | const Itbl & | a,
|  | const Itbl & | b )

Relative difference between two `Itbl` (max version).

Returns `max`(abs(a-b))/max(abs(b)) unless `b=0` , in which case it returns `max`(abs(a-b)) .

Definition at line 210 of file itbl_math.C.

References abs(), Lorene::Itbl::get_etat(), and max().

## max()

int Lorene::max | ( | const Itbl & | ti | ) |

Maximum value of the `Itbl` elements.

Definition at line 110 of file itbl_math.C.

References Lorene::Itbl::get_etat(), Lorene::Itbl::get_taille(), Lorene::Itbl::t, and x.

## min()

int Lorene::min | ( | const Itbl & | ti | ) |

Minimum value of the `Itbl` elements.

Definition at line 136 of file itbl_math.C.

References Lorene::Itbl::get_etat(), Lorene::Itbl::get_taille(), Lorene::Itbl::t, and x.

## norme()

int Lorene::norme | ( | const Itbl & | ti | ) |

Sum of the absolute values of all the `Itbl` elements.

Definition at line 162 of file itbl_math.C.

References abs(), Lorene::Itbl::get_etat(), Lorene::Itbl::get_taille(), Lorene::Itbl::t, and x.

## operator*() [1/3]

Itbl Lorene::operator* | ( | const Itbl & | t1,
|  | const Itbl & | t2 )

Itbl * Itbl.

Definition at line 245 of file itbl_arithm.C.

References Lorene::Itbl::get_dim(), Lorene::Itbl::get_etat(), Lorene::Itbl::get_ndim(), r, and Lorene::Itbl::t.

## operator*() [2/3]

Itbl Lorene::operator* | ( | const Itbl & | t1,
|  | int | x )

Itbl * int.

Definition at line 278 of file itbl_arithm.C.

References Lorene::Itbl::get_etat(), r, and x.

## operator*() [3/3]

Itbl Lorene::operator* | ( | int | x,
|  | const Itbl & | t1 )

int * Itbl

Definition at line 308 of file itbl_arithm.C.

References x.

## operator+() [1/4]

Itbl Lorene::operator+ | ( | const Itbl & | t1 | ) |

- Ibl

Definition at line 61 of file itbl_arithm.C.

References Lorene::Itbl::get_etat().

## operator+() [2/4]

Itbl Lorene::operator+ | ( | const Itbl & | t1,
|  | const Itbl & | t2 )

Itbl + Itbl.

Definition at line 96 of file itbl_arithm.C.

References Lorene::Itbl::get_dim(), Lorene::Itbl::get_etat(), Lorene::Itbl::get_ndim(), r, and Lorene::Itbl::t.

## operator+() [3/4]

Itbl Lorene::operator+ | ( | const Itbl & | t1,
|  | int | x )

Itbl + int.

Definition at line 130 of file itbl_arithm.C.

References Lorene::Itbl::get_etat(), r, and x.

## operator+() [4/4]

Itbl Lorene::operator+ | ( | int | a,
|  | const Itbl & | b )

int + Itbl

Definition at line 151 of file itbl_arithm.C.

References x.

## operator-() [1/4]

Itbl Lorene::operator- | ( | const Itbl & | t1 | ) |

- Itbl

Definition at line 71 of file itbl_arithm.C.

References Lorene::Itbl::dim, Lorene::Itbl::get_etat(), r, and Lorene::Itbl::t.

## operator-() [2/4]

Itbl Lorene::operator- | ( | const Itbl & | t1,
|  | const Itbl & | t2 )

Itbl - Itbl.

Definition at line 163 of file itbl_arithm.C.

References Lorene::Itbl::get_dim(), Lorene::Itbl::get_etat(), Lorene::Itbl::get_ndim(), r, and Lorene::Itbl::t.

## operator-() [3/4]

Itbl Lorene::operator- | ( | const Itbl & | t1,
|  | int | x )

Itbl - int.

Definition at line 198 of file itbl_arithm.C.

References Lorene::Itbl::get_etat(), r, and x.

## operator-() [4/4]

Itbl Lorene::operator- | ( | int | x,
|  | const Itbl & | t1 )

int - Itbl

Definition at line 220 of file itbl_arithm.C.

References Lorene::Itbl::get_etat(), r, and x.